/* Marks selected page in navigation menu */
.products_button{    
    color: var(--text-soft);
    background-color: var(--bg-light);
}



main{
    grid-column: 1/-1;
    margin: 25px 15vw;

    border: var(--border) 4px solid;
    border-radius: 10px;

    background-color: var(--bg-light);

    margin-bottom: 25px;
    padding: 20px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
}
main img{
    width: 100%;
    border-radius: 5px;
    margin-bottom: 10px;
}
main p{
    color: var(--text-soft)
}
main h1, main h2, main h3, main h4, main h5{
    color: var(--text);
}
main h2, main h3, main h4, main h5{
    font-size: large;
}



.top{
    display: grid;
    grid-template-columns: 10fr 3fr;
    column-gap: 20px;
}
.top p, .top h1, .top h2{
    margin: 0px;
}
.important{
    display: grid;
    grid-template-columns: 1fr auto;

    align-items: center;
    row-gap: 10px;
}
.important p:nth-child(3){ /* Product description */
    grid-column: 1/-1;
}
.pricetag{
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-items: center;
    column-gap: 10px;

    background-color: hsl(350, 80%, 60%);
    padding: 10px 20px;
    border-radius: 5px;
    border: hsl(350, 80%, 40%) 2px solid;   
}
.pricetag p:nth-child(1){ /* New price */
    color: white;
    font-weight: bold;
}
.pricetag p:nth-child(2){ /* Old price */
    color: var(--white-soft);
    text-decoration-line: line-through;
}   

.deliver{
    display: grid;
    grid-template-rows: auto auto auto; 
    align-items: center;
    gap: 10px;

    background-color: var(--bg);
    padding: 15px;

    border: var(--border-soft) 2px solid;
    border-radius: 5px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
}
.deliver h2{
    text-decoration-line: underline;
}
.deliver button{
    background-color: var(--accent);
    color: var(--white-soft);
    border: var(--border) 2px solid;
    border-radius: 5px;

    text-align: center;
    font-weight: bold;
    padding: 10px 20px;
    margin: 5px auto;
}
.deliver button:hover{
    color: white;
    background-color: var(--accent-light);
    cursor: pointer;
}


.information h4{
    margin-bottom: 5px;
}
.information ul{
    margin: 0px;
    padding-left: 25px;
}
.information li{
    font-size: medium;
    margin: 5px;
}


.similar_products h5{
    margin-bottom: 5px;
}
.similar_products span{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;   
}
.similar_products span img{
    border: var(--border-soft) 4px solid;
    border-radius: 15px;
    margin-bottom: 0px;
}
.similar_products a:hover img{
    filter: blur(2px);
    filter: brightness(80%);
}

/* Product name and price display from "Products Page".*/
.similar_products a div{
    position: relative;
}
.similar_products a:hover .details{
    display: grid;
}
.similar_products .details{
    display: none;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));

    position: absolute;
    bottom: 1.2%;

    background-color: rgba(0, 0, 0, 70%);       

    width: 100%;
    margin: 0px;
    padding: 5% 10%;

    justify-content: center;
    justify-items: center;
    align-items: center;

    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}
.details p{
    margin: 0px;
}
.details p:nth-child(1){
    color: white;

    font-size: large;
    font-family: "Jockey One", sans-serif;
    font-weight: 400;
}
.details p:nth-child(2){
    color: var(--white-soft);
    
    font-size: small;
}